
From: Adrian Bunk <bunk@stusta.de>

This patch fixes a NULL dereference found by the Coverity checker.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/usb/misc/usbtest.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/usb/misc/usbtest.c~drivers-usb-misc-usbtestc-fix-a-null-dereference drivers/usb/misc/usbtest.c
--- 25/drivers/usb/misc/usbtest.c~drivers-usb-misc-usbtestc-fix-a-null-dereference	Thu Mar 24 17:36:26 2005
+++ 25-akpm/drivers/usb/misc/usbtest.c	Thu Mar 24 17:36:26 2005
@@ -851,7 +851,7 @@ test_ctrl_queue (struct usbtest_dev *dev
 	 */
 	urb = kmalloc (param->sglen * sizeof (struct urb *), SLAB_KERNEL);
 	if (!urb)
-		goto cleanup;
+		return -ENOMEM;
 	memset (urb, 0, param->sglen * sizeof (struct urb *));
 	for (i = 0; i < param->sglen; i++) {
 		int			pipe = usb_rcvctrlpipe (udev, 0);
_
